Subject: Re: Git clone fails with "bad pack header", how to get remote log

From: kevin molcard <[email-masked]>
Date: Wed, 31 Oct 2012 15:34:22 +0100

I forgot to mention that I am using scm manager:
https://bitbucket.org/sdorra/scm-manager/wiki/Home

So that maybe the " custom layer you are talking about.

Kevin

On 10/31/12 3:19 PM, Jeff King wrote:
> On Tue, Oct 30, 2012 at 03:57:36PM +0100, kevin molcard wrote:
>
>> I tried to install git 1.8 on the remote server and get exactly the
>> same problem :(.
>> [...]
>>>> Sometimes (very often when several git clone are sent at the same
>>>> time), I have the following error:
>>>>      remote: internal server error
>>>>      fatal: protocol error: bad pack header
> I'm very confused about who is printing "internal server error". The
> "remote:" indicates that it came to the git client via the sideband,
> which means it probably came from the stderr of a child process (e.g.,
> pack-objects). But git does not and has never generated the phrase
> "internal server error".
>
> So what program is producing that? Is there some kind of custom layer
> that might be run when upload-pack runs "git pack-objects ..."? Can you
> try running strace on the server?
>
> -Peff
>

--